Last Comment Bug 857156 - Use pyelasticsearch instead of pyes
: Use pyelasticsearch instead of pyes
Status: RESOLVED FIXED
p=2
:
Product: Marketplace
Classification: Server Software
Component: Search (show other bugs)
: 1.0
: All All
: P1 normal (vote)
: 2013-05-16
Assigned To: Rob Hudson [:robhudson]
:
Mentors:
Depends on: 861420
Blocks: 851588
  Show dependency treegraph
 
Reported: 2013-04-02 09:45 PDT by Rob Hudson [:robhudson]
Modified: 2013-05-13 15:04 PDT (History)
1 user (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Rob Hudson [:robhudson] 2013-04-02 09:45:56 PDT
This is a step towards upgrading to elasticutils 0.7, which uses pyelasticsearch.

First we can drop in pyelasticsearch into the requirements and update AMO to use this to get an ES object rather than using pyes' `get_es`. AMO doesn't use elasticutils yet so it just needs an ES connection to be used in its own ES wrapper code. When AMO is all good, we can safely focus on MKT side.
Comment 1 Rob Hudson [:robhudson] 2013-04-12 10:07:58 PDT
First step... isolate AMO code that depends on elasticutils using pyes:
https://github.com/mozilla/zamboni/commit/5b9c9ec
Comment 2 Rob Hudson [:robhudson] 2013-04-26 16:59:54 PDT
I pushed this forward a bit this week:
https://github.com/robhudson/zamboni/compare/elasticutils-upgrade

Next steps are tests and to update mkt search code to use the new index and the elasticutils lib. There's also a bug in the reindexing code that triggers an elasticsearch timeout error.
Comment 3 Rob Hudson [:robhudson] 2013-05-13 11:52:14 PDT
This went out as part of bug 867288.

Note You need to log in before you can comment on or make changes to this bug.